> ## Documentation Index
> Fetch the complete documentation index at: https://bunny.net/docs/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Storage Zone Regions
## OpenAPI
````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /storagezone/regions
openapi: 3.0.0
info:
title: bunny.net API
description: >-
Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation
Third party API clients:
We currently do not maintain an official API library, but you can use one of the third party ones provided here:
https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)
Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them.
termsOfService: https://bunny.net/tos
contact:
name: bunny.net
url: https://docs.bunny.net
email: support@bunny.net
version: 1.0.0
servers:
- url: https://api.bunny.net
description: bunny.net API Server
security:
- AccessKey: []
tags:
- name: Stream Video Library
- name: User
- name: AuditLog
- name: Storage Zone
- name: Statistics
- name: Search
- name: Pull Zone
- name: Pricing
- name: Load Balancer
- name: DNS Zone
- name: DNSSEC
- name: Billing
- name: API Keys
- name: Affiliate
- name: Countries
- name: Purge
- name: Region
paths:
/storagezone/regions:
get:
tags:
- Storage Zone
summary: Get Storage Zone Regions
operationId: StorageZonePublic_GetStorageZoneRegions
responses:
'200':
description: >-
Available storage regions and tiers with list prices in USD per GB
per month
content:
application/json:
schema:
type: array
items:
$ref: '#/components/schemas/StorageRegionModel'
'500':
description: Internal Server Error
components:
schemas:
StorageRegionModel:
type: object
additionalProperties: false
properties:
Code:
type: string
description: The storage region code
nullable: true
Name:
type: string
description: The display name of the storage region
nullable: true
Continent:
type: string
description: >-
The continent code: EU (Europe), NA (North America), AS (Asia), OC
(Oceania), SA (South America) or AF (Africa)
nullable: true
Latitude:
type: number
description: The approximate latitude of the storage region in decimal degrees
format: double
Longitude:
type: number
description: The approximate longitude of the storage region in decimal degrees
format: double
PricePerGigabyte:
type: number
description: The standard storage price in USD per GB per month, before discounts
format: decimal
Tier:
type: integer
description: 'The storage tier: 0 for Standard (HDD), 1 for Edge (SSD)'
format: int32
IsMainRegionSupported:
type: boolean
description: >-
Whether the region can be selected as the main region for this
storage tier
IsS3Supported:
type: boolean
description: >-
Supports S3 replication; main-region use also requires
IsMainRegionSupported
Endpoint:
type: string
description: >-
The storage API endpoint, or null for SSD regions that cannot be
selected as the main region
nullable: true
S3Endpoint:
type: string
description: >-
The S3 API endpoint, or null when S3 compatibility is not supported
or the region cannot be selected as the main region
nullable: true
securitySchemes:
AccessKey:
type: apiKey
description: API Access Key authorization header
name: AccessKey
in: header
````
This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.